package market.Qms.com.vo;

import java.io.Serializable;
import java.util.Date;

import market.Qms.com.mapper.MscMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_MSC", namespace=MscMapper.class)
public class Msc extends BaseVO implements Serializable {

	/** 冶金规范码 */
	@Id
	private String msc;

	/** 冶金规范描述 */
	@Column("MSC_DESC")
	private String mscDesc;

	/** 用途代码 */
	@Column("ALPHA_CODE")
	private String alphaCode;

	/** 用途描述 */
	@Column("ALPHA_NAME")
	private String alphaName;

	/** 管理部门代码 */
	@Column("DEPT_CODE")
	private String deptCode;

	/** 管理部门描述 */
	@Column("DEPT_DESC")
	private String deptDesc;

	/** 交付标准管理科室代码 */
	@Column("SECTION_CODE")
	private String sectionCode;

	/** 交付标准管理科室描述 */
	@Column("SECTION_NAME")
	private String sectionName;

	/** 规范类型(A:钢管+管坯、B:钢管+接箍、C:短节+附件) */
	@Column("MSC_STYLE")
	private String mscStyle;

	/** 有效使用次数(无限使用为-1) */
	@Column("USER_COUNT")
	private Integer userCount;

	/** 品名代码 */
	@Column("PROD_CODE")
	private String prodCode;

	/** 品名描述 */
	@Column("PROD_NAME")
	private String prodName;

	/** 标准代码 */
	@Column("STD_CODE")
	private String stdCode;

	/** 标准名称 */
	@Column("STD_NAME")
	private String stdName;

	/** 钢级(牌号)代码 */
	@Column("STEEL_CODE")
	private String steelCode;

	/** 钢级(牌号)名称 */
	@Column("STEEL_NAME")
	private String steelName;

	/** 标准类别代码 */
	@Column("STD_STYLE_CODE")
	private String stdStyleCode;

	/** 标准类别描述(PSL1....) */
	@Column("STD_STYLE_DESC")
	private String stdStyleDesc;

	/** 新产品代码 */
	@Column("NEW_PROC_CODE")
	private String newProcCode;

	/** 新产品描述 */
	@Column("NEW_PROC_DESC")
	private String newProcDesc;

	/** 是否维护内控标准(1:需要，0:不需要（没有维护内控标准的，在判定时，用交付标准作为内控标准进行判定）) */
	@Column("ALLOW_NK")
	private String allowNk;

	/** 引用冶金规范码 */
	@Column("MSC_SEQ")
	private String mscSeq;

	/** 引用冶金规范描述 */
	@Column("MSC_DESC_SEQ")
	private String mscDescSeq;

	/** 创建人 */
	@Column("CREATE_NAME")
	private String createName;

	/** 创建时间 */
	@Column("CREATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	/** 修改人 */
	@Column("UPDATE_NAME")
	private String updateName;

	/** 修改时间 */
	@Column("UPDATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	/** 删除人 */
	@Column("DELETE_NAME")
	private String deleteName;

	/** 删除时间 */
	@Column("DELETE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date deleteTime;

	/** 交货与制程有效标志(A：录入状态，B：提交审核，C：已生效，D:无效，E：申请修改) */
	@Column
	private String validflag;

	/** 备注 */
	@Column
	private String memo;

	/** 产品大类(4049) */
	@Column("PROD_LINE")
	private String prodLine;

	/** 附件图片文件路径 */
	@Column("FILE_JPEG")
	private String fileJpeg;

	/** 工艺标准管理科室代码 */
	@Column("UNIT_CODE_PROCESS")
	private String unitCodeProcess;

	/** 工艺标准管理科室描述 */
	@Column("UNIT_DESC_PROCESS")
	private String unitDescProcess;

	/** {老系统}冶金规范码 */
	@Column("MSC_OLD")
	private String mscOld;

	/** {老系统}Alpha代码 */
	@Column("USE_CODE_OLD")
	private String useCodeOld;

	/** 审核说明 */
	@Column
	private String remark;

	/** 审核人(交货标准) */
	@Column("AUDIT_NAME")
	private String auditName;

	/** 审核时间(交货标准) */
	@Column("AUDIT_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date auditTime;

	/** 内控标准的有效标志(A：录入状态，B：提交审核，C：已生效，D:无效，E：申请修改) */
	@Column("VALIDFLAG_NK")
	private String validflagNk;

	/** 审核人(内控标准) */
	@Column("AUDIT_NAME_NK")
	private String auditNameNk;

	/** 审核时间(内控标准) */
	@Column("AUDIT_TIME_NK")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date auditTimeNk;

	/** 审核说明(内控标准) */
	@Column("REMARK_NK")
	private String remarkNk;

	
	public String getAlphaCode() {
		return alphaCode;
	}

	public void setAlphaCode(String alphaCode) {
		this.alphaCode = alphaCode;
	}

	public String getAlphaName() {
		return alphaName;
	}

	public void setAlphaName(String alphaName) {
		this.alphaName = alphaName;
	}

	public String getMsc() {
		return this.msc;
	}

	public String getMscDesc() {
		return this.mscDesc;
	}



	public String getDeptCode() {
		return this.deptCode;
	}

	public String getDeptDesc() {
		return this.deptDesc;
	}

	public String getSectionCode() {
		return this.sectionCode;
	}

	public String getSectionName() {
		return this.sectionName;
	}

	public String getMscStyle() {
		return this.mscStyle;
	}

	public Integer getUserCount() {
		return this.userCount;
	}

	public String getProdCode() {
		return this.prodCode;
	}

	public String getProdName() {
		return this.prodName;
	}

	public String getStdCode() {
		return this.stdCode;
	}

	public String getStdName() {
		return this.stdName;
	}

	public String getSteelCode() {
		return this.steelCode;
	}

	public String getSteelName() {
		return this.steelName;
	}

	public String getStdStyleCode() {
		return this.stdStyleCode;
	}

	public String getStdStyleDesc() {
		return this.stdStyleDesc;
	}

	public String getNewProcCode() {
		return this.newProcCode;
	}

	public String getNewProcDesc() {
		return this.newProcDesc;
	}

	public String getAllowNk() {
		return this.allowNk;
	}

	public String getMscSeq() {
		return this.mscSeq;
	}

	public String getMscDescSeq() {
		return this.mscDescSeq;
	}

	public String getCreateName() {
		return this.createName;
	}

	public Date getCreateTime() {
		return this.createTime;
	}

	public String getUpdateName() {
		return this.updateName;
	}

	public Date getUpdateTime() {
		return this.updateTime;
	}

	public String getDeleteName() {
		return this.deleteName;
	}

	public Date getDeleteTime() {
		return this.deleteTime;
	}

	public String getValidflag() {
		return this.validflag;
	}

	public String getMemo() {
		return this.memo;
	}

	public String getProdLine() {
		return this.prodLine;
	}

	public String getFileJpeg() {
		return this.fileJpeg;
	}

	public String getUnitCodeProcess() {
		return this.unitCodeProcess;
	}

	public String getUnitDescProcess() {
		return this.unitDescProcess;
	}

	public String getMscOld() {
		return this.mscOld;
	}

	public String getUseCodeOld() {
		return this.useCodeOld;
	}

	public String getRemark() {
		return this.remark;
	}

	public String getAuditName() {
		return this.auditName;
	}

	public Date getAuditTime() {
		return this.auditTime;
	}

	public String getValidflagNk() {
		return this.validflagNk;
	}

	public String getAuditNameNk() {
		return this.auditNameNk;
	}

	public Date getAuditTimeNk() {
		return this.auditTimeNk;
	}

	public String getRemarkNk() {
		return this.remarkNk;
	}

	public void setMsc(String msc) {
		this.msc = msc;
	}

	public void setMscDesc(String mscDesc) {
		this.mscDesc = mscDesc;
	}

	

	public void setDeptCode(String deptCode) {
		this.deptCode = deptCode;
	}

	public void setDeptDesc(String deptDesc) {
		this.deptDesc = deptDesc;
	}

	public void setSectionCode(String sectionCode) {
		this.sectionCode = sectionCode;
	}

	public void setSectionName(String sectionName) {
		this.sectionName = sectionName;
	}

	public void setMscStyle(String mscStyle) {
		this.mscStyle = mscStyle;
	}

	public void setUserCount(Integer userCount) {
		this.userCount = userCount;
	}

	public void setProdCode(String prodCode) {
		this.prodCode = prodCode;
	}

	public void setProdName(String prodName) {
		this.prodName = prodName;
	}

	public void setStdCode(String stdCode) {
		this.stdCode = stdCode;
	}

	public void setStdName(String stdName) {
		this.stdName = stdName;
	}

	public void setSteelCode(String steelCode) {
		this.steelCode = steelCode;
	}

	public void setSteelName(String steelName) {
		this.steelName = steelName;
	}

	public void setStdStyleCode(String stdStyleCode) {
		this.stdStyleCode = stdStyleCode;
	}

	public void setStdStyleDesc(String stdStyleDesc) {
		this.stdStyleDesc = stdStyleDesc;
	}

	public void setNewProcCode(String newProcCode) {
		this.newProcCode = newProcCode;
	}

	public void setNewProcDesc(String newProcDesc) {
		this.newProcDesc = newProcDesc;
	}

	public void setAllowNk(String allowNk) {
		this.allowNk = allowNk;
	}

	public void setMscSeq(String mscSeq) {
		this.mscSeq = mscSeq;
	}

	public void setMscDescSeq(String mscDescSeq) {
		this.mscDescSeq = mscDescSeq;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	public void setDeleteTime(Date deleteTime) {
		this.deleteTime = deleteTime;
	}

	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public void setProdLine(String prodLine) {
		this.prodLine = prodLine;
	}

	public void setFileJpeg(String fileJpeg) {
		this.fileJpeg = fileJpeg;
	}

	public void setUnitCodeProcess(String unitCodeProcess) {
		this.unitCodeProcess = unitCodeProcess;
	}

	public void setUnitDescProcess(String unitDescProcess) {
		this.unitDescProcess = unitDescProcess;
	}

	public void setMscOld(String mscOld) {
		this.mscOld = mscOld;
	}

	public void setUseCodeOld(String useCodeOld) {
		this.useCodeOld = useCodeOld;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public void setAuditName(String auditName) {
		this.auditName = auditName;
	}

	public void setAuditTime(Date auditTime) {
		this.auditTime = auditTime;
	}

	public void setValidflagNk(String validflagNk) {
		this.validflagNk = validflagNk;
	}

	public void setAuditNameNk(String auditNameNk) {
		this.auditNameNk = auditNameNk;
	}

	public void setAuditTimeNk(Date auditTimeNk) {
		this.auditTimeNk = auditTimeNk;
	}

	public void setRemarkNk(String remarkNk) {
		this.remarkNk = remarkNk;
	}

}
